# - Config file for the Efl_Profiler package
# It defines the following variables
#  EFL_PROFILER_INCLUDE_DIRS - include directories for efl_profiler
#  EFL_PROFILER_LIBRARIES    - libraries to link against
#  EFL_PROFILER_EXECUTABLE   - the bar executable

# Compute paths
get_filename_component(EFL_PROFILER_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(EFL_PROFILER_INCLUDE_DIRS /usr/include/efl_profiler)

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT TARGET efl_profiler AND NOT EFL_PROFILER_BINARY_DIR)
   include("${EFL_PROFILER_CMAKE_DIR}/efl_profilerTargets.cmake")
endif()

# These are IMPORTED targets created by efl_profilerConfig.cmake
set(EFL_PROFILER_LIBRARIES /usr/lib64/libefl_profiler.so)
if (EXISTS ${EFL_PROFILER_LIBRARIES})
   set(EFL_PROFILER_EXECUTABLE @INSTALL_BIN_DIR/efl_profiler_viewer)
else()
   unset(EFL_PROFILER_LIBRARIES)
endif()

find_package_handle_standard_args(efl_profiler  DEFAULT_MSG  EFL_PROFILER_LIBRARIES
   EFL_PROFILER_INCLUDE_DIRS)

